package com.idea.buildManage.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ParkRoomExcel implements Serializable {

    @ExcelProperty(value = "*楼盘/小区名称")
    private String groupName;

    @ExcelProperty(value = "*分期名称")
    private String discName;

    @ExcelProperty(value = "*单元/楼栋号")
    private String buildNum;

    @ExcelProperty(value = "*户室号")
    private String roomNo;

    @ExcelProperty(value = "*所在层")
    private String floor;

    @ExcelProperty(value = "预测套内面积（㎡）")
    private String predictionInternalArea;

    @ExcelProperty(value = "预测分摊面积（㎡）")
    private String predictionShareArea;

    @ExcelProperty(value = "预测建筑面积（㎡）")
    private String predictionBuildArea;

    @ExcelProperty(value = "预测土地面积（㎡）")
    private String predictionLandArea;

    @ExcelProperty(value = "*实测套内面积（㎡）")
    private String actualInternalArea;

    @ExcelProperty(value = "*实测分摊面积（㎡）")
    private String actualShareArea;

    @ExcelProperty(value = "*实测建筑面积（㎡）")
    private String actualBuildArea;

    @ExcelProperty(value = "实测土地面积（㎡）")
    private String actualLandArea;

    @ExcelProperty(value = "*用途")
    private String roomUse;

    @ExcelProperty(value = "户编号")
    private String roomNumber;

    @ExcelProperty(value = "装修情况")
    private String decorationSituation;

    @ExcelProperty(value = "2.2M以")
    private String twoPointTwo;

    @ExcelProperty(value = "户型")
    private String houseType;

    @ExcelProperty(value = "备注")
    private String remark;

    @ExcelProperty(value = "*可售状态")
    private String saleStatus;

    @ExcelIgnore
    private String reason;

    @ExcelIgnore
    private Boolean duplicate;

}