package com.idea.invoice.dto;

import com.idea.invoice.model.InvoiceManage;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class InvoiceManageDto extends InvoiceManage {

//    private BigDecimal totalPrice;

    private BigDecimal buyerMoney;

    private BigDecimal maintenanceTotalPrice;

    /**
     * 已收
     */
    private BigDecimal receivedMoney;

    /**
     * 应收
     */
    private BigDecimal receivableMoney;

    private String contractNumber;

    private String buyerName;

    private String houseName;

    private String collectionStatus;

    private String fundCollectionStatus;

    /**
     * 推送日期
     */
    private String sendDateFrom;

    /**
     * 推送日期
     */
    private String sendDateTo;

    /**
     * 开票日期
     */
    private String invoiceDateFrom;

    /**
     * 开票日期
     */
    private String invoiceDateTo;


}
