package com.idea.oa.apply.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.idea.oa.apply.mapper.ApplyAddWorkTimeMapper;
import com.idea.oa.apply.model.ApplyAddWorkTime;
import com.idea.oa.apply.model.ApplyAddWorkTimeExample;
import com.rockstar.common.base.BaseService;
import com.rockstar.common.support.Convert;
import com.rockstar.frame.model.extend.DateTrans;
import com.rockstar.frame.model.extend.Tablepar;
import com.rockstar.util.UUIDUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class ApplyAddWorkTimeService implements BaseService<ApplyAddWorkTime, ApplyAddWorkTimeExample> {

    //文件mapper
    @Autowired
    private ApplyAddWorkTimeMapper modelMapper;

    /**
     * 分页查询
     *
     * @return
     */
    public PageInfo<ApplyAddWorkTime> list(Tablepar tablepar, ApplyAddWorkTime model, DateTrans dt) {
        PageHelper.startPage(tablepar.getPageNum(), tablepar.getPageSize());
        List<ApplyAddWorkTime> list = null;//modelMapper.selectByExample(getCondition(model,dt));
        PageInfo<ApplyAddWorkTime> pageInfo = new PageInfo<>(list);
        return pageInfo;
    }

   public Object listAll(ApplyAddWorkTime model, DateTrans dt) {
        List<ApplyAddWorkTime> list = null;//modelMapper.selectByExample(getCondition(model,dt));
        return list;
    }




    @Override
    public int deleteByPrimaryKey(String ids) {
        List<String> lista = Convert.toListStrArray(ids);
        ApplyAddWorkTimeExample example = new ApplyAddWorkTimeExample();
        example.createCriteria().andIdIn(lista);
        return modelMapper.deleteByExample(example);
    }

    @Override
    public ApplyAddWorkTime selectByPrimaryKey(String id) {
        return modelMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(ApplyAddWorkTime record) {
        return modelMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByExampleSelective(ApplyAddWorkTime record, ApplyAddWorkTimeExample example) {
        return modelMapper.updateByExampleSelective(record, example);
    }

    @Override
    public int updateByExample(ApplyAddWorkTime record, ApplyAddWorkTimeExample example) {
        return modelMapper.updateByExample(record, example);
    }

    @Override
    public List<ApplyAddWorkTime> selectByExample(ApplyAddWorkTimeExample example) {
        return modelMapper.selectByExample(example);
    }

    @Override
    public long countByExample(ApplyAddWorkTimeExample example) {
        return modelMapper.countByExample(example);
    }


    @Override
    public int deleteByExample(ApplyAddWorkTimeExample example) {
        return modelMapper.deleteByExample(example);
    }

    public int insert(ApplyAddWorkTime record){
        record.setId(UUIDUtils.middleUUID());
        return insertWithoutId(record);
    }

    public int insertWithoutId(ApplyAddWorkTime record){
        record.setCreatedAt(new Date());
        return modelMapper.insert(record);
    }

    @Override
    public int insertSelective(ApplyAddWorkTime record) {
        record.setId(UUIDUtils.middleUUID());
        record.setCreatedAt(new Date());
        return modelMapper.insertSelective(record);
    }

}
