package com.idea.workPanel.enume;

public enum ReadTypeEnum {
    // PC
    SH("合同到期", 1, "/leaseManage/contractManage"),
    RZ("应收款调整", 2, "/bill/billManagement"),
    TZ("风险与提醒", 3, "/business/bizMain"),
    YQHD("园区活动", 7, "7"),
    TZGG("通知公告", 8, "8"),
//    QT("人员管理", 4, "4"),
    KZ("经发", 4, "/statisticsImportRevenue"),
    // moblie
    XMYJ("项目预警提醒", 5, "5"),
    BSBX("报事报修", 6, "6")
    ;

    public String name;
    public Integer value;
    public String url;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    ReadTypeEnum(String name, Integer value, String url) {
        this.name = name;
        this.value = value;
        this.url = url;
    }

    public static ReadTypeEnum getNameByValue(Integer value) {
        for (ReadTypeEnum pse : ReadTypeEnum.values()) {
            if(value == pse.getValue()){
                return pse;
            }
        }
        return null;
    }

}
