package com.idea;

//import org.activiti.spring.boot.SecurityAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

//@SpringBootApplication(scanBasePackages = {"com.rockstar","com.idea","com.slave"}, exclude = SecurityAutoConfiguration.class)
@SpringBootApplication(scanBasePackages = {"com.rockstar","com.idea","com.slave"})
@MapperScan(value = {"com.rockstar.*.mapper","com.idea.*.mapper","com.slave.*.mapper","com.idea.oa.*.mapper"})
@EnableTransactionManagement
@EnableScheduling
@EnableConfigurationProperties
public class MainApplication implements WebMvcConfigurer {

    public static void main(String[] args) throws Exception {
        SpringApplication.run(MainApplication.class, args);

        System.out.println("=========================================");
        System.out.println("|-----------  Main 启动成功  ------------|");
        System.out.println("=========================================");
    }
}