package com.idea.search.controller;


import com.idea.search.service.EsService;
import com.idea.search.util.IndexTypeEnum;
import com.rockstar.common.base.BaseController;
import com.rockstar.common.domain.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/es")
public class EsController extends BaseController {

    @Autowired
    private EsService esService;


    //创建索引
    @GetMapping("/create/{index}")
    @ResponseBody
    public AjaxResult createIndexAndMapping(@PathVariable("index") String index) {
        esService.createIndexAndMapping(index);
        return success("创建索引库成功:"+index);
    }








}
