package com.idea.buildManage.controller;

import com.idea.buildManage.model.HouseType;
import com.idea.buildManage.service.HouseTypeService;
import com.rockstar.common.base.BaseController;
import com.rockstar.frame.model.extend.DateTrans;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "HouseTypeController")
@Api(tags = "户型库管理")
public class HouseTypeController extends BaseController {

    @Autowired
    private HouseTypeService modelService;

    @PostMapping(value = "listAll", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object listAll(HouseType model, DateTrans dt) {
        return modelService.listAll(model, dt);
    }


}
