package com.idea.oa.apply.util.constant;

import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

/**
 * 这是业务配置类
 */
public class ConstantFlowType {
    //这是配置是单部门还是多部门,true是多部门
    public final static boolean isMoreDept = false;

    public final static String[] aggree = {"yes", "no", "back"};
    public static Map<Integer, String> nodeKeysName = new HashMap<>();

    static {
        ConstantFlowType.nodeKeysName.put(1, "申请人发起");
        ConstantFlowType.nodeKeysName.put(11, "curr_user");

    }

    public static Map<String, String> nodeKeys_Name = new HashMap<>();

    static {
        ConstantFlowType.nodeKeys_Name.put("curr_user", "申请人发起");
        ConstantFlowType.nodeKeys_Name.put("dept_superior", "直接上级审核");
        ConstantFlowType.nodeKeys_Name.put("dept_head", "部门负责人审核");
        ConstantFlowType.nodeKeys_Name.put("flow_fgld", "分管领导审核");
        ConstantFlowType.nodeKeys_Name.put("flow_sjfgld", "总经理审核");
        ConstantFlowType.nodeKeys_Name.put("flow_zyld", "董事长审核");
        ConstantFlowType.nodeKeys_Name.put("flow_cnzf", "出纳支付");
        ConstantFlowType.nodeKeys_Name.put("flow_zffh", "支付复核");
        ConstantFlowType.nodeKeys_Name.put("flow_cgzy", "采购申请用");
    }

    //获取判断条件
//    public final static  String[]
    //请假一天需要消耗多少小时的调休假
    public final static double ONE_DAY_TIME = 7.5;
    //如果都没有找到对应的人审核就找id为1的用户审核
    public final static String ADMINID = "1";
    //注意,部门和部门主管的角色是写死的
    //获取用户流程类型
    public final static String[] FLOW_ROLES = {"flow_cwld", "flow_fgld", "flow_sjfgld", "flow_zyld"};//领导查看
    public final static String[] FLOW_ROLES_DEPT = {"curr_user", "dept_superior", "dept_head"};//部门查看
    public final static String[] FLOW_ROLES_CHECK = {"flow_cnzf", "flow_zffh"};//出纳查看
    public final static String[] ROLES = {"cwld", "fgld", "sjfgld", "zyld"};//领导查看(不带主类型)
    public final static String[] ROLES_CHECK = {"cnzf", "zffh"};//出纳查看(不带主类型)

    public final static String ROLETYPE = "FLOW";
    public final static String ROLETYPE2 = "DATA"; // 采购申请用


    //流程类型/名称(off_work请假申请;paymen付款申请;use_money费用报支(因为比较繁杂,用英文字符串表示))',
//===============================================================================================================
    public final static String OFF_WORK = "off_work";
    public final static String OFF_WORK_NAME = "请假申请";
    public final static String OFF_WORK_PROCESSDEFINE = "apply_off_work";//自己瞎写的
    public  static String OFF_WORK_DEPLOYMENTID = "20002";//自己瞎写的
    //请假申请流程顺序
    public final static String[] OFF_WORK_FLOWSTEPS_noenough = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "only_tiaoxiujia"};
    public final static String[] OFF_WORK_FLOWSTEPS_noenough2 = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "only_tiaoxiujia", "less_3day"};

    public final static String[] OFF_WORK_FLOWSTEPS_enough = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "only_tiaoxiujia", "less_3day", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_2"};

    //下面三个是没有节点的不同条件流程的节点数组(出纳等财务必须要有的流程节点就不放在里面,该关键字只是跳跃审核用的)
    public final static String[] onlyFlow_OFF_WORK_FLOWSTEPS_noenough = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1"};
    public final static String[] onlyFlow_OFF_WORK_FLOWSTEPS_noenough2 = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1"};

    public final static String[] onlyFlow_OFF_WORK_FLOWSTEPS_enough = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_2"};
    //本主流程的全部流程(出纳等财务必须要有的流程节点就不放在里面,该关键字只是跳跃审核用的)
    public final static String[] onlyFlow_OFF_WORK_FLOWSTEPS_ALL = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_2"};

    // 不同流程会有不同的角色判断,所以做特定处理
    public final static String[] OFF_WORK_ROLES = {"fgld", "sjfgld", "zyld"};//领导查看(不带主类型)==> 结项评审委员会 分管领导 上级分管领导审核 项目评审委员会 主要领导审核 集团总经理审核


    //===============================================================================
    // 新项目的付款申请
    public final static String PAYMENT = "payment";
    public final static String PAYMENT_NAME = "付款申请";
    public final static String PAYMENT_PROCESSDEFINE = "applyPayment";//自己瞎写的  todo 要对应resources/processes目录下的对应bpmn文件 process id="xxx"
    public static String PAYMENT_DEPLOYMENTID = "20004";//自己瞎写的
    //流程顺序
    public static String[] PAYMENT_FLOWSTEPS = {"curr_user", "dept_head_1_0_1", "flow_cwld_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_1"};


    public static String[] onlyFlow_PAYMENT_FLOWSTEPS = {"curr_user", "dept_head_1_0_1", "flow_cwld_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_1"};

    //本主流程的全部流程(出纳等财务必须要有的流程节点就不放在里面,该关键字只是跳跃审核用的)
    public final static String[] onlyFlow_PAYMENT_FLOWSTEPS_ALL = {"curr_user", "dept_superior_1_0_1", "dept_head_1_0_1", "flow_fgld_1_0_1", "flow_sjfgld_1_0_1", "flow_zyld_1_0_2"};


    // 不同流程会有不同的角色判断,所以做特定处理
    public final static String[] PAYMENT_ROLES = {"cwld","fgld", "sjfgld", "zyld"};//领导查看(不带主类型)==> 结项评审委员会 分管领导 上级分管领导审核 项目评审委员会 主要领导审核 集团总经理审核



}
