package com.idea.oa.flow2.model.in;

import com.rockstar.frame.model.FrameUser;
import lombok.Data;

/**
 * 流程下个目标人,以及对应的节点角色,包含全部信息,例如dept_superior_1_0_1
 * 如果 返回 frameUser为null,说明没有找到目标用户
 * 如果 flowRole 为null ,说明 本分支流程找过了没有对应角色,需要全流程查看一下
 * onlyFlowFlowStep:本分支的全部步骤,如果flowRole有,就可以用到这个对象进行查询
 */
@Data
public class TargetUserAndFlowRole {
    public String flowRole;
    public FrameUser frameUser;
    public String[] onlyFlowFlowStep;
}
