package com.idea.util;

import cn.hutool.http.HttpUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpHeaders;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class OAUtil {

    public static final String prefix = "http://112.25.69.137:8088";

//    public static final Map<String, String> headers = new HashMap<String, String>() {{
//        put("accept","*/*");
//        put("connection","Keep-Alive");
//        put("Content-Type","application/json");
//    }};

    public static final HttpHeaders headers = new HttpHeaders() {{
        add("accept","*/*");
        add("connection","Keep-Alive");
        add("Content-Type","application/json");
    }};

    public static String receiveRequestInfoByJson(Map<String,Object>  parma) {

//        String url = prefix + "/rest/ofs/ReceiveRequestInfoByJson";
//        String body = JSON.toJSONString(parma);
//        // 发送POST请求
//        HttpResponse response = HttpRequest.post(url)
//                .header(headers)
//                .body(body)
//                .execute();
//
//        System.out.println("请求参数:" + JSON.toJSONString(parma));
//        // 获取响应状态码
//        int statusCode = response.getStatus();
////        System.out.println("Status Code: " + statusCode);
//
//        // 获取响应体
//        String responseBody = response.body();
////        System.out.println("Response Body: " + responseBody);
//        return responseBody;
        return null;
    }

    public static void main(String[] args) {

        String date = DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD_HH_MM_SS, new Date());
        Map json = new HashMap<String, Object>();
        json.put("syscode", "AJ");
        json.put("flowid", "GJU3IETllGmJniazSVP2");
        json.put("requestname", "周天一的付款申请单");
        json.put("workflowname", "付款申请");
        json.put("nodeName", "财务负责人");
        json.put("pcurl", "https://www.idea-co-sf.com/settleDown/#/login");
        json.put("appurl", "");
        json.put("creator", "ceshi");
        json.put("createdatetime", date);
        json.put("receiver", "ceshi");
        json.put("receivedatetime", date);
        json.put("isremark", "0");
        json.put("viewtype", "0");
        json.put("receivets", System.currentTimeMillis() + "");

        String body = JSON.toJSONString(json);
        String url = prefix + "/rest/ofs/ReceiveRequestInfoByJson";

        // 发送POST请求
        HttpResponse response = HttpRequest.post(url)
                .header(headers)
                .body(body)
                .execute();

        System.out.println("请求参数:" + JSON.toJSONString(json));
        // 获取响应状态码
        int statusCode = response.getStatus();
        System.out.println("Status Code: " + statusCode);

        // 获取响应体
        String responseBody = response.body();
        System.out.println("Response Body: " + responseBody);


    }

}
