package com.idea.workPanel.enume;

public enum HandleTypeEnum {
    // PC
    FK("付款流程", 1, "/workflow/myProcess"),
    ;

    public String name;
    public Integer value;
    public String url;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    HandleTypeEnum(String name, Integer value, String url) {
        this.name = name;
        this.value = value;
        this.url = url;
    }

    public static HandleTypeEnum getNameByValue(Integer value) {
        for (HandleTypeEnum pse : HandleTypeEnum.values()) {
            if(value == pse.getValue()){
                return pse;
            }
        }
        return null;
    }

}
